API SpecificationComments
Get Comments
Retrieves all comment threads for a note.
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketId?string
Length
1 <= lengthnoteId?string
Length
1 <= length[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.CommentsService/GetComments" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"comments": {
"version": 0,
"threads": [
{
"id": "string",
"from": 0,
"to": 0,
"quotedText": "string",
"resolved": true,
"resolvedById": "string",
"resolvedAt": "string",
"comments": [
{
"id": "string",
"authorId": "string",
"content": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}
]
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}